﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Src="TrackBar.ascx" TagName="TrackBar" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>JavaScript User Controls Demo Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <div>
                <!-- Property values are set here that are available to the server side, AND the client side js code.
            The client side receives the properties as parameters to its constructor. -->
                <table>
                    <tr>
                        <td>
                            <uc1:TrackBar ID="TrackBar1" runat="server" Maximum="100" Minimum="0" SmallChange="5"
                                BarPixelWidth="120" />
                        </td>
                        <td>
                            <uc1:TrackBar ID="TrackBar2" runat="server" Maximum="120" Minimum="0" SmallChange="0"
                                BarPixelWidth="140" Value="40"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <uc1:TrackBar ID="TrackBar3" runat="server" Maximum="50" Minimum="0" SmallChange="10"
                                BarPixelWidth="100" />
                        </td>
                        <td>
                            <uc1:TrackBar ID="TrackBar4" runat="server" Maximum="100" Minimum="0" SmallChange="1"
                                BarPixelWidth="160" />
                        </td>
                    </tr>
                </table>
            </div>
            <div>
            <!-- The button illustrates how track bar values are persistant across POST page reloads -->
                <asp:Button ID="Button1" runat="server" Text="Button" OnClick="Button1_Click" />
                <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label></div>
            <!-- Together with the code in the Default.ascx.js file this shows how a call back can be
            used on the JavaScript side to react to value changes in real time.--> 
            <div id="testIndicator" style="position:relative">
                Test!
            </div>   
        </div>
    </form>
    <script type="text/javascript" src="Default.ascx.js?v=1"></script>
</body>
</html>
