<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TrackBar.ascx.cs" Inherits="TrackBar" %>

<!-- All scripts required by the control -->
<script type="text/javascript" src="Scripts/Delegates.js?v=1"></script>
<script type="text/javascript" src="Scripts/EventUtils.js?v=1"></script>
<script type="text/javascript" src="Scripts/DOMUtils.js?v=1"></script>
<script type="text/javascript" src="TrackBar.ascx.js?v=5"></script>
<!-- The 'v=' codes are to force browsers to reload the .js file after an update,
provided you increment the v number here when you update the js file. -->

<!-- Note that in this control the JavaScript components are optional. If the user has
scripting disabled they will not see the slider bar, but they will still be able to enter a
value in the textbox part of the control -->

<!-- Container space for JavaScript added content -->
<!-- using the runat tag gives a unique ID per control, not per page -->
<div runat="server" id="sliderContainer"></div>

<asp:TextBox ID="ValueTextBox" runat="server"></asp:TextBox>


<script type="text/javascript">
// 'ID='.. sets a JavaScript object to the same name as the server-side ID for the control, for 
// later use by JavaScript beloning to parent controls or forms.

// Parameters are sent to the object constructor from server-side properties, numeric values as
// they are, string values in '' quotation marks. Note that some strings may require escaping,
// which is not covered in this simple example.
    <%=ID%>= new TrackBar('<%=ClientID%>', <%=Minimum%>, <%=Maximum%>, <%=SmallChange%>, <%=BarPixelWidth%>);
</script>

